<!-- Student Profile -->
<div class="student-profile py-4">
    <div class="col-lg-12 col-12 col-sm-12 col-12">
        <h3>Compte
            <button class=" btn btn-back" data-bs-toggle="modal" data-bs-target="#myModal"><i class="fa fa-edit"></i> <b> Éditer</b></button>
            <button class=" btn btn-back" data-bs-toggle="modal" data-bs-target="#myModal2"><i class="fa fa-edit"></i> <b> Modifier le mot de passe</b></button>
            <button class="btn btn-delete" (click)="deleteAccount()"><i class="fa fa-trash" ></i> <b> Supprimer le compte</b></button>
        </h3>
    </div>

    <div class="container">
        <div class="row" *ngIf="profile">
            <div class="col-lg-6">
                <div class="card shadow-sm">
                    <div class="card-header bg-transparent text-center">
                        <div *ngIf="profile.data.photo !=''; else noimg ">
                            <img class="profile_img" src="{{baseurl}}static/public/{{profile.data.photo}}" alt="profile_Image">
                        </div>
                        <ng-template #noimg>
                            <img class="profile_img" src="./assets/build/img/people.png" alt="profile_Image">
                        </ng-template>
                        

                        <h3>{{profile.data.fullname}}</h3>

                    </div>
                    <div class="card-body">

                        <p class="mb-0"><strong class="pr-1">Courriel: </strong>{{profile.data.email}}</p>
                        <p class="mb-0"><strong class="pr-1">Téléphone: </strong>{{profile.data.countrycode}} {{profile.data.phone}}
                        </p>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="card shadow-sm">
                    <div class="card-header bg-transparent border-0">
                        <h3 class="mb-3 mt-2"><i class="far fa-clone pr-1"></i>Informations générales</h3>
                    </div>
                    <div class="col-lg-12 col-md-12 col-sm-12 col-12">
                        <table class="table table-bordered">
                            <tr>
                                <th width="30%">Type de vendeur</th>
                                <td width="2%">:</td>
                                <td>{{profile.data.vendortype}}</td>
                            </tr>
                            <tr>
                                <th width="30%">ICorPassport</th>
                                <td width="2%">:</td>
                                <td>{{profile.data.ICorPassport}}</td>
                            </tr>
                            <tr>
                                <th width="30%">Nom de la boutique</th>
                                <td width="2%">:</td>
                                <td>{{profile.data.shopname}}</td>
                            </tr>
                            <tr>
                                <th width="30%">Adresse de la boutique</th>
                                <td width="2%">:</td>
                                <td>
                                    <div *ngFor="let add of profile.data.pickupaddress">
                                        {{add.address}}
                                    </div>
                                </td>
                            </tr>
                            <!-- <tr>
                                <th width="30%">Montant total payé</th>
                                <td width="2%">:</td>
                                <td>{{profile.data.totalpaidamount | number : '1.2-2'}} CFA</td>
                            </tr>
                            <tr>
                                <th width="30%">Montant total en attente</th>
                                <td width="2%">:</td>
                                <td>{{profile.data.totalpendingamount | number : '1.2-2'}} CFA</td>
                            </tr> -->

                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


<div class="modal" id="myModal">
    <div class="modal-dialog">
        <div class="modal-content">

            <!-- Modal Header -->
            <div class="modal-header modl-hder">
                <button type="button" class="btn-cncl" data-bs-dismiss="modal"><i class="fa-solid fa-xmark"></i></button>
            </div>

            <!-- Modal body -->
            <div class="modal-body modal-height">
                <app-edit-profile></app-edit-profile>
            </div>
        </div>
    </div>
</div>

<div class="modal" id="myModal2">
    <div class="modal-dialog">
        <div class="modal-content">

            <!-- Modal Header -->
            <div class="modal-header modl-hder">
                <button type="button" class="btn-cncl" data-bs-dismiss="modal"><i class="fa-solid fa-xmark"></i></button>
            </div>

            <!-- Modal body -->
            <div class="modal-body modal-height">
                <app-change-password></app-change-password>
            </div>
        </div>
    </div>
</div>